diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-entities.cc ns-3.41/src/lte/test/lte-test-entities.cc
--- ns-3.40/src/lte/test/lte-test-entities.cc	2023-09-27 13:30:37.826839700 -0700
+++ ns-3.41/src/lte/test/lte-test-entities.cc	2024-02-09 14:44:08.333793200 -0800
@@ -473,13 +473,13 @@
             haveContext = true;
         }
     }
-    LteMacSapUser::TxOpportunityParameters txOpParmas;
-    txOpParmas.bytes = bytes;
-    txOpParmas.layer = 0;
-    txOpParmas.componentCarrierId = 0;
-    txOpParmas.harqId = 0;
-    txOpParmas.rnti = 0;
-    txOpParmas.lcid = 0;
+    LteMacSapUser::TxOpportunityParameters txOpParams;
+    txOpParams.bytes = bytes;
+    txOpParams.layer = 0;
+    txOpParams.componentCarrierId = 0;
+    txOpParams.harqId = 0;
+    txOpParams.rnti = 0;
+    txOpParams.lcid = 0;
 
     if (haveContext)
     {
@@ -487,11 +487,11 @@
                                        time,
                                        &LteMacSapUser::NotifyTxOpportunity,
                                        m_macSapUser,
-                                       txOpParmas);
+                                       txOpParams);
     }
     else
     {
-        Simulator::Schedule(time, &LteMacSapUser::NotifyTxOpportunity, m_macSapUser, txOpParmas);
+        Simulator::Schedule(time, &LteMacSapUser::NotifyTxOpportunity, m_macSapUser, txOpParams);
     }
 
     if (m_txOpportunityMode == RANDOM_MODE)
@@ -631,19 +631,19 @@
 
         int32_t size = params.statusPduSize + params.txQueueSize + params.retxQueueSize;
         Time time = m_txOppTime;
-        LteMacSapUser::TxOpportunityParameters txOpParmas;
-        txOpParmas.bytes = m_txOppSize;
-        txOpParmas.layer = 0;
-        txOpParmas.componentCarrierId = 0;
-        txOpParmas.harqId = 0;
-        txOpParmas.rnti = params.rnti;
-        txOpParmas.lcid = params.lcid;
+        LteMacSapUser::TxOpportunityParameters txOpParams;
+        txOpParams.bytes = m_txOppSize;
+        txOpParams.layer = 0;
+        txOpParams.componentCarrierId = 0;
+        txOpParams.harqId = 0;
+        txOpParams.rnti = params.rnti;
+        txOpParams.lcid = params.lcid;
         while (size > 0)
         {
             EventId e = Simulator::Schedule(time,
                                             &LteMacSapUser::NotifyTxOpportunity,
                                             m_macSapUser,
-                                            txOpParmas);
+                                            txOpParams);
             m_nextTxOppList.push_back(e);
             size -= m_txOppSize;
             time += m_txOppTime;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-frequency-reuse.cc ns-3.41/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.40/src/lte/test/lte-test-frequency-reuse.cc	2023-09-27 13:30:37.826839700 -0700
+++ ns-3.41/src/lte/test/lte-test-frequency-reuse.cc	2024-02-09 14:44:08.333793200 -0800
@@ -444,13 +444,13 @@
  * TestCase Data
  */
 void
-DlDataRxStartNofitication(LteFrTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
+DlDataRxStartNotification(LteFrTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
 {
     testcase->DlDataRxStart(spectrumValue);
 }
 
 void
-UlDataRxStartNofitication(LteFrTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
+UlDataRxStartNotification(LteFrTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
 {
     testcase->UlDataRxStart(spectrumValue);
 }
@@ -617,7 +617,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofitication, this));
+        MakeBoundCallback(&DlDataRxStartNotification, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs.Get(0)
@@ -634,7 +634,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofitication, this));
+        MakeBoundCallback(&UlDataRxStartNotification, this));
 
     Simulator::Stop(Seconds(0.500));
     Simulator::Run();
@@ -755,7 +755,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofitication, this));
+        MakeBoundCallback(&DlDataRxStartNotification, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs.Get(0)
@@ -772,7 +772,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofitication, this));
+        MakeBoundCallback(&UlDataRxStartNotification, this));
 
     Simulator::Stop(Seconds(0.500));
     Simulator::Run();
@@ -785,13 +785,13 @@
 }
 
 void
-DlDataRxStartNofiticationArea(LteFrAreaTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
+DlDataRxStartNotificationArea(LteFrAreaTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
 {
     testcase->DlDataRxStart(spectrumValue);
 }
 
 void
-UlDataRxStartNofiticationArea(LteFrAreaTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
+UlDataRxStartNotificationArea(LteFrAreaTestCase* testcase, Ptr<const SpectrumValue> spectrumValue)
 {
     testcase->UlDataRxStart(spectrumValue);
 }
@@ -1087,7 +1087,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&DlDataRxStartNotificationArea, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs1.Get(0)
@@ -1106,7 +1106,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&UlDataRxStartNotificationArea, this));
 
     std::vector<bool> expectedDlRbCenterArea;
     expectedDlRbCenterArea.resize(m_dlBandwidth, false);
@@ -1303,7 +1303,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&DlDataRxStartNotificationArea, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs1.Get(0)
@@ -1322,7 +1322,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&UlDataRxStartNotificationArea, this));
 
     std::vector<bool> expectedDlRbCenterArea;
     expectedDlRbCenterArea.resize(m_dlBandwidth, false);
@@ -1532,7 +1532,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&DlDataRxStartNotificationArea, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs1.Get(0)
@@ -1551,7 +1551,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&UlDataRxStartNotificationArea, this));
 
     double expectedDlPowerCenterArea = 0.5;
     std::vector<bool> expectedDlRbCenterArea;
@@ -1803,7 +1803,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&DlDataRxStartNotificationArea, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs1.Get(0)
@@ -1822,7 +1822,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&UlDataRxStartNotificationArea, this));
 
     double expectedDlPowerCenterArea = 0.251189;
     std::vector<bool> expectedDlRbCenterArea;
@@ -2184,7 +2184,7 @@
 
     testDlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&DlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&DlDataRxStartNotificationArea, this));
 
     // Test SpectrumPhy to get signals form UL channel
     Ptr<LteSpectrumPhy> ueUlSpectrumPhy = ueDevs1.Get(0)
@@ -2203,7 +2203,7 @@
 
     testUlSpectrumPhy->TraceConnectWithoutContext(
         "RxStart",
-        MakeBoundCallback(&UlDataRxStartNofiticationArea, this));
+        MakeBoundCallback(&UlDataRxStartNotificationArea, this));
 
     double expectedDlPowerCenterArea = 1.0;
     std::vector<bool> expectedDlRbCenterArea;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-interference-fr.cc ns-3.41/src/lte/test/lte-test-interference-fr.cc
--- ns-3.40/src/lte/test/lte-test-interference-fr.cc	2023-09-27 13:30:37.826839700 -0700
+++ ns-3.41/src/lte/test/lte-test-interference-fr.cc	2024-02-09 14:44:08.333793200 -0800
@@ -15,9 +15,9 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
- * Based on lte-test-interference.{h,cc} by Manuel Requena <manuel.requena@cttc.es>
- *                                                                              Nicola Baldo
- * <nbaldo@cttc.es>
+ * Based on lte-test-interference.{h,cc} by:
+ *   Manuel Requena <manuel.requena@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
  */
 
 #include "lte-test-interference-fr.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-interference-fr.h ns-3.41/src/lte/test/lte-test-interference-fr.h
--- ns-3.40/src/lte/test/lte-test-interference-fr.h	2023-09-27 13:30:37.826839700 -0700
+++ ns-3.41/src/lte/test/lte-test-interference-fr.h	2024-02-09 14:44:08.333793200 -0800
@@ -15,9 +15,9 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
- * Based on lte-test-interference.{h,cc} by Manuel Requena <manuel.requena@cttc.es>
- *                                          Nicola Baldo <nbaldo@cttc.es>
- *
+ * Based on lte-test-interference.{h,cc} by:
+ *   Manuel Requena <manuel.requena@cttc.es>
+ *   Nicola Baldo <nbaldo@cttc.es>
  */
 
 #ifndef LTE_TEST_INTERFERENCE_FR_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-radio-link-failure.cc ns-3.41/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.40/src/lte/test/lte-test-radio-link-failure.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-radio-link-failure.cc	2024-02-09 14:44:08.333793200 -0800
@@ -24,8 +24,6 @@
 
 #include "lte-test-radio-link-failure.h"
 
-#include "ns3/config-store-module.h"
-#include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/lte-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-rlc-am-e2e.cc ns-3.41/src/lte/test/lte-test-rlc-am-e2e.cc
--- ns-3.40/src/lte/test/lte-test-rlc-am-e2e.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-rlc-am-e2e.cc	2024-02-09 14:44:08.333793200 -0800
@@ -23,7 +23,6 @@
 #include "lte-simple-helper.h"
 #include "lte-test-entities.h"
 
-#include "ns3/config-store.h"
 #include "ns3/config.h"
 #include "ns3/error-model.h"
 #include "ns3/log.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-rr-ff-mac-scheduler.cc ns-3.41/src/lte/test/lte-test-rr-ff-mac-scheduler.cc
--- ns-3.40/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
@@ -24,7 +24,6 @@
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
 #include <ns3/boolean.h>
-#include <ns3/config-store-module.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
 #include <ns3/eps-bearer.h>
@@ -306,7 +305,7 @@
     std::vector<uint64_t> dlDataRxed;
     if (m_errorModelEnabled)
     {
-        m_thrRefDl *= 0.95; // for couting the Vienna AMC behavior: BLER between 0% and 10%
+        m_thrRefDl *= 0.95; // for counting the Vienna AMC behavior: BLER between 0% and 10%
     }
     for (int i = 0; i < m_nUser; i++)
     {
@@ -327,7 +326,7 @@
     std::vector<uint64_t> ulDataRxed;
     if (m_errorModelEnabled)
     {
-        m_thrRefUl *= 0.95; // for couting the Vienna AMC behavior: BLER between 0% and 10%
+        m_thrRefUl *= 0.95; // for counting the Vienna AMC behavior: BLER between 0% and 10%
     }
     for (int i = 0; i < m_nUser; i++)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-run-time.pl ns-3.41/src/lte/test/lte-test-run-time.pl
--- ns-3.40/src/lte/test/lte-test-run-time.pl	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-run-time.pl	2024-02-09 14:44:08.333793200 -0800
@@ -13,7 +13,7 @@
 my @nFloors = (0, 1);
 my @simTime = (5, 10);
 
-# Configure and complite first the program to avoid counting compilation time as running time
+# Configure and compile first the program to avoid counting compilation time as running time
 my $launch = "CXXFLAGS=\"-O3 -w\" ./ns3 configure -d optimized --enable-static --enable-examples --enable-modules=lte";
 my $out;
 my $err;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-spectrum-value-helper.cc ns-3.41/src/lte/test/lte-test-spectrum-value-helper.cc
--- ns-3.40/src/lte/test/lte-test-spectrum-value-helper.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-spectrum-value-helper.cc	2024-02-09 14:44:08.337793000 -0800
@@ -155,7 +155,7 @@
      * \param str the reference name
      * \param earfcn
      * \param bw bandwidth
-     * \param txPowerDbm tranmit power in dBm
+     * \param txPowerDbm transmit power in dBm
      * \param activeRbs active RBs
      * \param expected executed spectrum value
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-ue-phy.h ns-3.41/src/lte/test/lte-test-ue-phy.h
--- ns-3.40/src/lte/test/lte-test-ue-phy.h	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-ue-phy.h	2024-02-09 14:44:08.337793000 -0800
@@ -14,7 +14,8 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Author: Manuel Requena <manuel.requena@cttc.es> : Based on lte-ue-phy code
+ * Author: Manuel Requena <manuel.requena@cttc.es>
+ * (Based on lte-ue-phy code)
  */
 
 #ifndef LTE_TEST_UE_PHY_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/lte-test-uplink-power-control.cc ns-3.41/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.40/src/lte/test/lte-test-uplink-power-control.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/lte-test-uplink-power-control.cc	2024-02-09 14:44:08.337793000 -0800
@@ -78,7 +78,7 @@
  * TestCase Data
  */
 void
-PuschTxPowerNofitication(LteUplinkPowerControlTestCase* testcase,
+PuschTxPowerNotification(LteUplinkPowerControlTestCase* testcase,
                          uint16_t cellId,
                          uint16_t rnti,
                          double txPower)
@@ -87,7 +87,7 @@
 }
 
 void
-PucchTxPowerNofitication(LteUplinkPowerControlTestCase* testcase,
+PucchTxPowerNotification(LteUplinkPowerControlTestCase* testcase,
                          uint16_t cellId,
                          uint16_t rnti,
                          double txPower)
@@ -96,7 +96,7 @@
 }
 
 void
-SrsTxPowerNofitication(LteUplinkPowerControlTestCase* testcase,
+SrsTxPowerNotification(LteUplinkPowerControlTestCase* testcase,
                        uint16_t cellId,
                        uint16_t rnti,
                        double txPower)
@@ -269,11 +269,11 @@
     m_ueUpc = uePhy->GetUplinkPowerControl();
 
     m_ueUpc->TraceConnectWithoutContext("ReportPuschTxPower",
-                                        MakeBoundCallback(&PuschTxPowerNofitication, this));
+                                        MakeBoundCallback(&PuschTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportPucchTxPower",
-                                        MakeBoundCallback(&PucchTxPowerNofitication, this));
+                                        MakeBoundCallback(&PucchTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportSrsTxPower",
-                                        MakeBoundCallback(&SrsTxPowerNofitication, this));
+                                        MakeBoundCallback(&SrsTxPowerNotification, this));
 
     // Attach a UE to a eNB
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
@@ -452,11 +452,11 @@
     m_ueUpc = uePhy->GetUplinkPowerControl();
 
     m_ueUpc->TraceConnectWithoutContext("ReportPuschTxPower",
-                                        MakeBoundCallback(&PuschTxPowerNofitication, this));
+                                        MakeBoundCallback(&PuschTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportPucchTxPower",
-                                        MakeBoundCallback(&PucchTxPowerNofitication, this));
+                                        MakeBoundCallback(&PucchTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportSrsTxPower",
-                                        MakeBoundCallback(&SrsTxPowerNofitication, this));
+                                        MakeBoundCallback(&SrsTxPowerNotification, this));
 
     // Attach a UE to a eNB
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
@@ -616,11 +616,11 @@
     m_ueUpc = uePhy->GetUplinkPowerControl();
 
     m_ueUpc->TraceConnectWithoutContext("ReportPuschTxPower",
-                                        MakeBoundCallback(&PuschTxPowerNofitication, this));
+                                        MakeBoundCallback(&PuschTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportPucchTxPower",
-                                        MakeBoundCallback(&PucchTxPowerNofitication, this));
+                                        MakeBoundCallback(&PucchTxPowerNotification, this));
     m_ueUpc->TraceConnectWithoutContext("ReportSrsTxPower",
-                                        MakeBoundCallback(&SrsTxPowerNofitication, this));
+                                        MakeBoundCallback(&SrsTxPowerNotification, this));
 
     // Attach a UE to a eNB
     lteHelper->Attach(ueDevs, enbDevs.Get(0));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/test-epc-tft-classifier.cc ns-3.41/src/lte/test/test-epc-tft-classifier.cc
--- ns-3.40/src/lte/test/test-epc-tft-classifier.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/test-epc-tft-classifier.cc	2024-02-09 14:44:08.337793000 -0800
@@ -14,8 +14,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include "ns3/epc-tft-classifier.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/lte/test/test-lte-x2-handover-measures.cc ns-3.41/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.40/src/lte/test/test-lte-x2-handover-measures.cc	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/lte/test/test-lte-x2-handover-measures.cc	2024-02-09 14:44:08.337793000 -0800
@@ -14,8 +14,9 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- * Authors: Nicola Baldo <nbaldo@cttc.es>
- *          Manuel Requena <manuel.requena@cttc.es>
+ * Authors:
+ *   Nicola Baldo <nbaldo@cttc.es>
+ *   Manuel Requena <manuel.requena@cttc.es>
  */
 
 #include <ns3/bulk-send-helper.h>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/mesh/CMakeLists.txt ns-3.41/src/mesh/CMakeLists.txt
--- ns-3.40/src/mesh/CMakeLists.txt	2023-09-27 13:30:37.830839600 -0700
+++ ns-3.41/src/mesh/CMakeLists.txt	2024-02-09 14:44:08.341793300 -0800
@@ -65,9 +65,8 @@
     model/mesh-wifi-beacon.h
     model/mesh-wifi-interface-mac-plugin.h
     model/mesh-wifi-interface-mac.h
-  LIBRARIES_TO_LINK
-    ${libinternet}
-    ${libwifi}
+  LIBRARIES_TO_LINK ${libwifi}
+                    ${libapplications}
   TEST_SOURCES
     test/dot11s/dot11s-test-suite.cc
     test/dot11s/hwmp-proactive-regression.cc
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/mesh/doc/source/conf.py ns-3.41/src/mesh/doc/source/conf.py
--- ns-3.40/src/mesh/doc/source/conf.py	2023-09-27 13:30:37.834839600 -0700
+++ ns-3.41/src/mesh/doc/source/conf.py	2024-02-09 14:44:08.341793300 -0800
@@ -11,202 +11,208 @@
 # All configuration values have a default; values that are commented out
 # serve to show the default.
 
-import sys, os
+import os
+import sys
 
 # If extensions (or modules to document with autodoc) are in another directory,
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
-#sys.path.insert(0, os.path.abspath('.'))
+# sys.path.insert(0, os.path.abspath('.'))
 
 # -- General configuration -----------------------------------------------------
 
 # If your documentation needs a minimal Sphinx version, state it here.
-#needs_sphinx = '1.0'
+# needs_sphinx = '1.0'
 
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.imgmath']
+extensions = ["sphinx.ext.imgmath"]
 
 # Add any paths that contain templates here, relative to this directory.
-templates_path = ['_templates']
+templates_path = ["_templates"]
 
 # The suffix of source filenames.
-source_suffix = '.rst'
+source_suffix = ".rst"
 
 # The encoding of source files.
-#source_encoding = 'utf-8-sig'
+# source_encoding = 'utf-8-sig'
 
 # The master toctree document.
-master_doc = 'mesh'
+master_doc = "mesh"
 
 # General information about the project.
-project = u'ns-3'
-copyright = u'ns-3 project'
+project = "ns-3"
+copyright = "ns-3 project"
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
 # built documents.
 #
 # The short X.Y version.
-version = 'ns-3-dev'
+version = "ns-3-dev"
 # The full version, including alpha/beta/rc tags.
-release = 'ns-3-dev'
+release = "ns-3-dev"
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
-#language = None
+# language = None
 
 # There are two options for replacing |today|: either, you set today to some
 # non-false value, then it is used:
-#today = ''
+# today = ''
 # Else, today_fmt is used as the format for a strftime call.
-#today_fmt = '%B %d, %Y'
+# today_fmt = '%B %d, %Y'
 
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
 exclude_patterns = []
 
 # The reST default role (used for this markup: `text`) to use for all documents.
-#default_role = None
+# default_role = None
 
 # If true, '()' will be appended to :func: etc. cross-reference text.
-#add_function_parentheses = True
+# add_function_parentheses = True
 
 # If true, the current module name will be prepended to all description
 # unit titles (such as .. function::).
-#add_module_names = True
+# add_module_names = True
 
 # If true, sectionauthor and moduleauthor directives will be shown in the
 # output. They are ignored by default.
-#show_authors = False
+# show_authors = False
 
 # The name of the Pygments (syntax highlighting) style to use.
-pygments_style = 'sphinx'
+pygments_style = "sphinx"
 
 # A list of ignored prefixes for module index sorting.
-#modindex_common_prefix = []
+# modindex_common_prefix = []
 
 
 # -- Options for HTML output ---------------------------------------------------
 
 # The theme to use for HTML and HTML Help pages.  See the documentation for
 # a list of builtin themes.
-html_theme = 'default'
+html_theme = "default"
 
 # Theme options are theme-specific and customize the look and feel of a theme
 # further.  For a list of options available for each theme, see the
 # documentation.
-#html_theme_options = {}
+# html_theme_options = {}
 
 # Add any paths that contain custom themes here, relative to this directory.
-#html_theme_path = []
+# html_theme_path = []
 
 # The name for this set of Sphinx documents.  If None, it defaults to
 # "<project> v<release> documentation".
-#html_title = None
+# html_title = None
 
 # A shorter title for the navigation bar.  Default is the same as html_title.
-#html_short_title = None
+# html_short_title = None
 
 # The name of an image file (relative to this directory) to place at the top
 # of the sidebar.
-#html_logo = None
+# html_logo = None
 
 # The name of an image file (within the static path) to use as favicon of the
 # docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
 # pixels large.
-#html_favicon = None
+# html_favicon = None
 
 # Add any paths that contain custom static files (such as style sheets) here,
 # relative to this directory. They are copied after the builtin static files,
 # so a file named "default.css" will overwrite the builtin "default.css".
-#html_static_path = ['_static']
+# html_static_path = ['_static']
 
 # If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
 # using the given strftime format.
-#html_last_updated_fmt = '%b %d, %Y'
+# html_last_updated_fmt = '%b %d, %Y'
 
 # If true, SmartyPants will be used to convert quotes and dashes to
 # typographically correct entities.
-#html_use_smartypants = True
+# html_use_smartypants = True
 
 # Custom sidebar templates, maps document names to template names.
-#html_sidebars = {}
+# html_sidebars = {}
 
 # Additional templates that should be rendered to pages, maps page names to
 # template names.
-#html_additional_pages = {}
+# html_additional_pages = {}
 
 # If false, no module index is generated.
-#html_domain_indices = True
+# html_domain_indices = True
 
 # If false, no index is generated.
-#html_use_index = True
+# html_use_index = True
 
 # If true, the index is split into individual pages for each letter.
-#html_split_index = False
+# html_split_index = False
 
 # If true, links to the reST sources are added to the pages.
-#html_show_sourcelink = True
+# html_show_sourcelink = True
 
 # If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
-#html_show_sphinx = True
+# html_show_sphinx = True
 
 # If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
-#html_show_copyright = True
+# html_show_copyright = True
 
 # If true, an OpenSearch description file will be output, and all pages will
 # contain a <link> tag referring to it.  The value of this option must be the
 # base URL from which the finished HTML is served.
-#html_use_opensearch = ''
+# html_use_opensearch = ''
 
 # This is the file name suffix for HTML files (e.g. ".xhtml").
-#html_file_suffix = None
+# html_file_suffix = None
 
 # Output file base name for HTML help builder.
-#htmlhelp_basename = 'ns-3doc'
+# htmlhelp_basename = 'ns-3doc'
 
 
 # -- Options for LaTeX output --------------------------------------------------
 
 # The paper size ('letter' or 'a4').
-#latex_paper_size = 'letter'
+# latex_paper_size = 'letter'
 
 # The font size ('10pt', '11pt' or '12pt').
-#latex_font_size = '10pt'
+# latex_font_size = '10pt'
 
 # Grouping the document tree into LaTeX files. List of tuples
 # (source start file, target name, title, author, documentclass [howto/manual]).
 latex_documents = [
-#  ('mesh-testing', 'mesh-doc-testing.tex', u'Mesh Wi-Fi Testing Documentation', u'ns-3 project', 'manual'),
-#  ('mesh-design', 'mesh-doc-design.tex', u'Mesh Wi-Fi Design Documentation', u'ns-3 project', 'manual'),
-#  ('mesh-user', 'mesh-doc-user.tex', u'Mesh Wi-Fi User Documentation', u'ns-3 project', 'manual'),
-  ('mesh', 'mesh-module-doc.tex', u'The ns-3 Mesh Wi-Fi Module Documentation', u'ns-3 project', 'manual'),
+    #  ('mesh-testing', 'mesh-doc-testing.tex', u'Mesh Wi-Fi Testing Documentation', u'ns-3 project', 'manual'),
+    #  ('mesh-design', 'mesh-doc-design.tex', u'Mesh Wi-Fi Design Documentation', u'ns-3 project', 'manual'),
+    #  ('mesh-user', 'mesh-doc-user.tex', u'Mesh Wi-Fi User Documentation', u'ns-3 project', 'manual'),
+    (
+        "mesh",
+        "mesh-module-doc.tex",
+        "The ns-3 Mesh Wi-Fi Module Documentation",
+        "ns-3 project",
+        "manual",
+    ),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
 # the title page.
-#latex_logo = None
+# latex_logo = None
 
 # For "manual" documents, if this is true, then toplevel headings are parts,
 # not chapters.
-#latex_use_parts = False
+# latex_use_parts = False
 
 # If true, show page references after internal links.
-#latex_show_pagerefs = False
+# latex_show_pagerefs = False
 
 # If true, show URL addresses after external links.
-#latex_show_urls = False
+# latex_show_urls = False
 
 # Additional stuff for the LaTeX preamble.
-#latex_preamble = ''
+# latex_preamble = ''
 
 # Documents to append as an appendix to all manuals.
-#latex_appendices = []
+# latex_appendices = []
 
 # If false, no module index is generated.
-#latex_domain_indices = True
-
+# latex_domain_indices = True
 
 
 # add page breaks in the pdf. Level 1 is for top-level sections, level 2 for subsections, and so on.
@@ -217,7 +223,4 @@
 
 # One entry per manual page. List of tuples
 # (source start file, name, description, authors, manual section).
-man_pages = [
-    ('index', 'ns-3-model-library', u'ns-3 Model Library',
-     [u'ns-3 project'], 1)
-]
+man_pages = [("index", "ns-3-model-library", "ns-3 Model Library", ["ns-3 project"], 1)]
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/mesh/model/dot11s/hwmp-protocol-mac.cc ns-3.41/src/mesh/model/dot11s/hwmp-protocol-mac.cc
--- ns-3.40/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2023-09-27 13:30:37.834839600 -0700
+++ ns-3.41/src/mesh/model/dot11s/hwmp-protocol-mac.cc	2024-02-09 14:44:08.341793300 -0800
@@ -28,6 +28,7 @@
 
 #include "ns3/log.h"
 #include "ns3/mesh-wifi-interface-mac.h"
+#include "ns3/mgt-action-headers.h"
 #include "ns3/nstime.h"
 #include "ns3/packet.h"
 #include "ns3/simulator.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc ns-3.41/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc
--- ns-3.40/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc	2023-09-27 13:30:37.834839600 -0700
+++ ns-3.41/src/mesh/model/dot11s/ie-dot11s-beacon-timing.cc	2024-02-09 14:44:08.341793300 -0800
@@ -185,13 +185,13 @@
         m_neighbours.push_back(new_element);
     }
     return i.GetDistanceFrom(start);
-};
+}
 
 uint16_t
 IeBeaconTiming::TimestampToU16(Time t)
 {
     return ((uint16_t)((t.GetMicroSeconds() >> 8) & 0xffff));
-};
+}
 
 uint16_t
 IeBeaconTiming::BeaconIntervalToU16(Time t)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/src/mesh/model/dot11s/peer-link-frame.cc ns-3.41/src/mesh/model/dot11s/peer-link-frame.cc
--- ns-3.40/src/mesh/model/dot11s/peer-link-frame.cc	2023-09-27 13:30:37.834839600 -0700
+++ ns-3.41/src/mesh/model/dot11s/peer-link-frame.cc	2024-02-09 14:44:08.357793300 -0800
@@ -243,7 +243,7 @@
 bool
 operator==(const PeerLinkCloseStart& a, const PeerLinkCloseStart& b)
 {
-    return ((a.m_meshId.IsEqual(b.m_meshId)));
+    return (a.m_meshId.IsEqual(b.m_meshId));
 }
 
 NS_OBJECT_ENSURE_REGISTERED(PeerLinkConfirmStart);
